## org.springframework.aop.framework
Interface AdvisedSupportListener

    public interface AdvisedSupportListener

Listener to be registered on `ProxyCreatorSupport` objects Allows for receiving callbacks on activation and change of advice.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `ProxyCreatorSupport.addListener(org.springframework.aop.framework.AdvisedSupportListener)`

Method Summary
`void` `activated(AdvisedSupport advised)` Invoked when the first proxy is created.
`void` `adviceChanged(AdvisedSupport advised)` Invoked when advice is changed after a proxy is created.

Method Detail

### activated

    void activated(AdvisedSupport advised)

  Invoked when the first proxy is created.

  Parameters:
    `advised` - the AdvisedSupport object

### adviceChanged

    void adviceChanged(AdvisedSupport advised)

  Invoked when advice is changed after a proxy is created.

  Parameters:
    `advised` - the AdvisedSupport object